Name: cmake
Version: 2.6.3
Release: alt1.M41.1

Summary: Cross-platform, open-source make system

License: BSD
Group: Development/Other
Url: http://cmake.org/

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Source: http://www.cmake.org/files/v2.6/%name-%version.tar.gz
Patch0: %name-2.6.0-alt-dynamic-linking.patch
Patch1: %name-2.6.3-alt-FindQt3-remove-glob.patch
Patch2: %name-2.6.3-alt-desktop-fix.patch

BuildPreReq: gcc-c++ libncurses-devel libtinfo-devel
BuildPreReq: libcurl-devel zlib-devel libqt4-devel
BuildPreReq: libxmlrpc-devel >= 1.08.00-alt2
BuildRequires(pre): shared-mime-info rpm-build-vim

Obsoletes: cpack < 2.4.5-alt3
Provides: cpack = %version-%release

Requires: %name-modules = %version-%release

%define _unpackaged_files_terminate_build 1

%description
CMake is used to control the software compilation process using
simple platform and compiler independent configuration files.
CMake generates native makefiles and workspaces that can be
used in the compiler environment of your choice. CMake is quite
sophisticated: it is possible to support complex environments
requiring system configuration, pre-processor generation, code
generation, and template instantiation.


%package modules
Summary: Standard CMake modules
Group: Development/Other
BuildArch: noarch

%description modules
CMake is used to control the software compilation process using
simple platform and compiler independent configuration files.

This package contains the standard modules from the CMake distribution.


%package -n ccmake
Summary: Curses interface for CMake
Group: Development/Other
Requires: %name = %version-%release

%description -n ccmake
The "ccmake" executable is the CMake curses interface. Project
configuration settings may be specified interactively through this GUI.
Brief instructions are provided at the bottom of the terminal when the
program is running.


%package -n ctest
Summary: CMake test driver program
Group: Development/Other
Requires: %name = %version-%release

%description -n ctest
The ctest executable is the CMake test driver program. CMake-generated
build trees created for projects that use the ENABLE_TESTING and
ADD_TEST commands have testing support. This program will run the tests
and report results.


%package gui
Summary: Qt interface for CMake
Group: Development/Other
Requires: %name = %version-%release

%description gui
The "cmake-gui" executable is the CMake GUI.  Project configuration settings
may be specified interactively.  Brief instructions are provided at the
bottom of the window when the program is running.


%package doc
Summary: CMake docs
Group: Documentation
BuildArch: noarch

%description doc
This package contains CMake docs in DocBook, html and txt formats.


%package -n vim-plugin-%name
Summary: Vim plugins for CMake files
Group: Editors
BuildArch: noarch

%description -n vim-plugin-%name
This package contains updated indent and syntax Vim plugins for CMake files.

%prep
%setup
%patch0 -p1 -b .orig
%patch1 -p1
%patch2 -p1
%__subst 's,SET(BUILD_SHARED_LIBS OFF),SET(BUILD_SHARED_LIBS ON),' CMakeLists.txt

%build
mkdir build
pushd build
CFLAGS="%optflags" CXXFLAGS="%optflags" ../bootstrap \
	--system-libs \
	--qt-gui \
	--prefix=%prefix \
	--datadir=/share/CMake \
	--mandir=/share/man \
	--docdir=/share/doc/%name-%version

%make_build VERBOSE=1
%make test

%install
pushd build
%makeinstall_std
popd
install -m644 ChangeLog.manual %buildroot%_docdir/%name-%version
mv %buildroot/usr/lib %buildroot%_libdir || :
mkdir -p %buildroot%_niconsdir
mv %buildroot%_pixmapsdir/CMakeSetup.png %buildroot%_niconsdir/
mkdir -p %buildroot{%vim_indent_dir,%vim_syntax_dir}
install -m644 Docs/cmake-indent.vim %buildroot%vim_indent_dir/%name.vim
install -m644 Docs/cmake-syntax.vim %buildroot%vim_syntax_dir/%name.vim


%files
%_bindir/cmake
%_bindir/cpack
%_libdir/libCMakeLib.so
%_libdir/libCPackLib.so
%_libdir/libcmcompress.so
%_libdir/libcmsys.so
%_libdir/libcmsys_c.so
%_libdir/libcmtar.so
%_datadir/CMake/
%exclude %_datadir/CMake/Modules/
%_man1dir/cmake*.*
%_man1dir/cpack.*
%dir %_docdir/%name-%version/
%_docdir/%name-%version/ChangeLog.manual


%files modules
%dir %_datadir/CMake/
%_datadir/CMake/Modules/


%files -n ccmake
%_bindir/ccmake
%_libdir/libcmForm.so
%_man1dir/ccmake.*


%files -n ctest
%_bindir/ctest
%_libdir/libCTestLib.so
%_man1dir/ctest.*


%files gui
%_bindir/cmake-gui
%_desktopdir/CMake.desktop
%_xdgmimedir/packages/cmakecache.xml
%_niconsdir/CMakeSetup.png


%files doc
%dir %_docdir/%name-%version
%_docdir/%name-%version/ccmake.*
%_docdir/%name-%version/cmake*
%_docdir/%name-%version/cpack*
%_docdir/%name-%version/ctest.*


%files -n vim-plugin-%name
%vim_indent_dir/*
%vim_syntax_dir/*


%changelog
* Thu Apr 7 2009 Sergey Alembekov <rt@altlinux.ru> 2.6.3-alt1.M41.1
- backport to branch/4.1

* Fri Mar 13 2009 Andrey Rahmatullin <wrar@altlinux.ru> 2.6.3-alt2
- package Vim plugins (closes: #19158)

* Fri Mar 06 2009 Andrey Rahmatullin <wrar@altlinux.ru> 2.6.3-alt1
- 2.6.3
- fix Group:
- cmake-doc: don't require cmake

* Thu Dec 11 2008 Andrey Rahmatullin <wrar@altlinux.ru> 2.6.2-alt3
- package docdir into the main package (repocop)

* Mon Nov 17 2008 Andrey Rahmatullin <wrar@altlinux.ru> 2.6.2-alt2
- remove update_*/clean_* invocations

* Sat Sep 27 2008 Andrey Rahmatullin <wrar@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Sun Aug 03 2008 Andrey Rahmatullin <wrar@altlinux.ru> 2.6.1-alt1
- 2.6.1
- fix .desktop file according to desktop-file-validate
- move CMakeSetup.png from _pixmapsdir to _niconsdir
- make -doc subpackage noarch and split noarch -modules subpackage

* Sun May 11 2008 Andrey Rahmatullin <wrar@altlinux.ru> 2.6.0-alt1
- 2.6.0
- package html and txt docs separately

* Sat Feb 09 2008 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.8-alt1
- 2.4.8

* Mon Jul 23 2007 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.7-alt1
- 2.4.7

* Fri Mar 30 2007 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.6-alt2
- rebuild with libcurl.so.4

* Sat Jan 13 2007 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.6-alt1
- 2.4.6

* Wed Jan 03 2007 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.5-alt4
- build in separate dir
- use optflags

* Wed Jan 03 2007 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.5-alt3
- merge cpack package into cmake, since it is required by (almost?)
  all cmake builds (#10577)

* Sun Dec 17 2006 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.5-alt2
- remove globbing of /usr/lib/qt-3* from FindQt3.cmake, which caused
  incorrect buildreq output for projects using FIND_PACKAGE(Qt3)

* Sat Dec 09 2006 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.5-alt1
- 2.4.5
- fix x86_64 build (damir@)

* Sun Dec 03 2006 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.5-alt0.2
- separate packages for ccmake, cpack and ctest

* Sat Dec 02 2006 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.5-alt0.1
- 2.4.5 RC4
- fix search for libxmlrpc

* Thu Nov 23 2006 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.4-alt1
- 2.4.4

* Wed Aug 23 2006 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.3-alt2
- build with system libs
- build bundled libs as shared
- invoke make test

* Thu Aug 03 2006 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.3-alt1
- new version

* Thu Jul 13 2006 Vitaly Lipatov <lav@altlinux.ru> 2.4.2-alt0.1
- new version 2.4.2 (with rpmrb script) (fix bug #9776)

* Tue May 09 2006 Vitaly Lipatov <lav@altlinux.ru> 2.4.1-alt0.1
- new version (2.4.1)

* Wed Jan 25 2006 Vitaly Lipatov <lav@altlinux.ru> 2.2.3-alt0.1
- new version
- fix rpath using

* Tue Oct 04 2005 Vitaly Lipatov <lav@altlinux.ru> 2.2.1-alt1
- new version

* Sun Feb 27 2005 Vitaly Lipatov <lav@altlinux.ru> 2.0.5-alt1
- first release for ALT Linux Sisyphus

* Tue Nov 23 2004 Gaetan LEHMANN <gaetan.lehmann@jouy.inra.fr> 2.0.5-1mdk
- 2.0.5

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.6.7-2mdk
- Rebuild

* Thu Jul 17 2003 Austin Acton <aacton@yorku.ca> 1.6.7-1mdk
- 1.6.7

* Thu Jan 9 2003 Austin Acton <aacton@yorku.ca> 1.4.7-1mdk
- initial package
